// SPDX-License-Identifier: GPL-2.0

//! 
//! Sample driver
//! 

use kernel::prelude::*;

module! {
    type: RustSampleDriver,
    name: "rust_sample_driver",
    author: "Yutaka Hirata",
    description: "Rust sample",
    license: "GPL",
}

struct RustSampleDriver;

impl kernel::Module for RustSampleDriver {
    fn init(_module: &'static ThisModule) -> Result<Self> {
        pr_info!("Rust sample driver was loaded.(moduled {})\n", cfg!(MODULE));

        Ok(RustSampleDriver)
    }
}

impl Drop for RustSampleDriver {
    fn drop(&mut self) {
        pr_info!("Rust sample driver was removed.\n");
    }
}

