SUMMARY = "Test application"
LICENSE = "CLOSED"

PR = "r0"

SRC_URI = "file://testapp.tar.gz"

S = "${WORKDIR}/testapp"

#FILES:${PN} = "${sysconfdir}/sample.txt"
#CONFFILES:${PN} = "${sysconfdir}/sample.txt"

TARGET_CC_ARCH += "${LDFLAGS}"

def show_proc(num_arg):
    current_pid = os.getpid()
    print(f"Anony python {num_arg} {current_pid}")
    
    #import subprocess
    #output = subprocess.check_output(['ps', '-ef'])
    #print(output.decode('utf-8'))

    import psutil
    # 現在のプロセスの情報を取得
    current_process = psutil.Process()
    # プロセス名とPIDを取得
    process_name = current_process.name()
    process_pid = current_process.pid
    print(f"pname: {process_name}, PID: {process_pid}")

python () {
    show_proc(1)
}

do_compile() {
	/usr/bin/ps -ef
	echo "PID $$"
	oe_runmake
}

python () {
    show_proc(2)
}

do_install() {
	bbwarn "${bindir}"
	bbwarn "${WORKDIR}"
	install -d ${D}${bindir}
    install -m 0755 ${S}/hello ${D}${bindir}/hello
}

python () {
    #show_proc(3)
	show_proc(3)
}

