//
// cc -std=c2x round.c
//
#include <stdio.h>
#include <stdint.h>

#define __round_mask(x, y) ((__typeof__(x))((y)-1))
#define round_down(x, y) ((x) & ~__round_mask(x, y))

int main()
{
	uint32_t addr, base;

	addr = 0x1234'fbcd;
	base = round_down(addr, 16*1024);
	printf("%x(%b)\n", addr, addr);
	printf("%x(%b)\n", base, base);
}

